.TH YUI-COMPRESSOR "1" "January 2010" "yui-compressor " "User Commands"
.SH NAME
yui-compressor \- JavaScript/CSS minifier
.SH SYNOPSIS
.B yui-compressor
\fR[\fIoptions\fR] [\fIinput file\fR]
.SH DESCRIPTION
Global Options
.TP
\fB\-h\fR, \fB\-\-help\fR
Displays this information
.TP
\fB\-\-type\fR <js|css>
Specifies the type of the input file
.TP
\fB\-\-charset\fR <charset>
Read the input file using <charset>
.TP
\fB\-\-line\-break\fR <column>
Insert a line break after the specified column number
.TP
\fB\-v\fR, \fB\-\-verbose\fR
Display informational messages and warnings
.TP
\fB\-o\fR <file>
Place the output into <file>. Defaults to stdout.
.PP
JavaScript Options
.TP
\fB\-\-nomunge\fR
Minify only, do not obfuscate
.TP
\fB\-\-preserve\-semi\fR
Preserve all semicolons
.TP
\fB\-\-disable\-optimizations\fR
Disable all micro optimizations
.PP
If no input file is specified, it defaults to stdin. In this case, the 'type'
option is required. Otherwise, the 'type' option is required only if the input
file extension is neither 'js' nor 'css'.
.SH EXAMPLES
The following example demonstrates how to use yui-compressor
.TP
.B yui-compressor -o compressed.js original.js
.SH SEE ALSO
.BR /usr/share/doc/yui-compressor/README.md.gz
.SH AUTHOR
This manual page was written by Damien Raude-Morvan <drazzib@debian.org>
and Michael Gilbert <michael.s.gilbert@gmail.com>,
for the Debian GNU/Linux system (but may be used by others).
